> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/folders/bulk-copy/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Copy folders POST https://api.frame.io/v4/accounts/{account_id}/folders/copy Content-Type: application/json Copy a set of folders to a single destination folder. Between 1 and 100 folder IDs may be provided. This endpoint has been added to `Current Version` of the API. Please see [https://next.developer.frame.io/platform/v4/api-reference/folders/bulk-copy](https://next.developer.frame.io/platform/v4/api-reference/folders/bulk-copy). Rate Limits: 10 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/folders/bulk-copy ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) ### Query parameters - `copy_metadata` (boolean, optional, default: false) — Whether to copy metadata values along with the folders - `copy_comments` (enum, optional, default: none) — Which comments to copy along with the folders - Allowed values: `none`, `internal`, `public`, `all` ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ### Body (application/json) This endpoint expects a BulkFolderCopyMoveParams. - `data` (BulkFolderCopyMoveParamsData, required) ## Response ### 200 OK - `data` (list of BulkFolderCopyResult, required) ### 202 Accepted ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### BulkFolderCopyMoveParamsData - `folder_ids` (list of string, required) — IDs of the folders. Between 1 and 100 unique IDs are allowed. - `parent_id` (string, required) — Destination folder ID. ### BulkFolderCopyResult - `folder` (Folder, required) - `source_folder_id` (string, required) — ID of the folder that was copied ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### Folder - `created_at` (string, required) — Creation timestamp - `id` (string, required) — File, Folder, or Version Stack ID - `name` (string, required) — File or folder Name - `parent_id` (string, required, nullable) — Parent Folder or Version Stack ID - `project_id` (string, required) — Project ID - `type` (enum, required) - Allowed values: `file`, `folder`, `version_stack` - `updated_at` (string, required) — Update timestamp - `view_url` (string, required) — URL to view the asset in the Frame.io web application - `cover_file_id` (string, required, nullable) — Cover asset ID - `restricted` (boolean, required) — Folder is restricted or not - `adobe_id` (string, optional, nullable) — Adobe cloud storage asset identifier, when available. ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples ### Example 1 **Request** ```json { "data": { "folder_ids": [ "526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93" ], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" } } ``` **Response** ```json { "data": [ { "folder": { "created_at": "2023-09-25T19:18:29.614189Z", "id": "666f17d0-6678-44fc-b355-fc8dbd0780bc", "name": "My Folder", "parent_id": "0432fd43-58ac-4488-9e93-668dc5500615", "project_id": "376f481a-21de-4887-935c-94d234d91431", "type": "folder", "updated_at": "2024-02-07T16:44:41.986478Z", "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c", "cover_file_id": "788beb87-35c5-4a1e-8f8a-c6985030e944", "restricted": false, "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890" }, "source_folder_id": "8086623c-0833-4a92-8706-88267ce11a66" } ] } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy" payload = { "data": { "folder_ids": ["526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93"], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" } } headers = { "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy'; const options = { method: 'POST', headers: { 'api-version': 'experimental', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"data":{"folder_ids":["526ea641-3ad0-4ddc-874d-ec90f2ff5640","18c54ad5-3b6a-4628-9d87-194043056a93"],"parent_id":"163c9d79-a302-4c4c-a7a1-b0ff70de4a18"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy" payload := strings.NewReader("{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy") .header("api-version", "experimental") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}") .asString(); ``` ```php request('POST', 'https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy', [ 'body' => '{ "data": { "folder_ids": [ "526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93" ], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy"); var request = new RestRequest(Method.POST); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "folder_ids": ["526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93"], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Example 2 **Request** ```json { "data": { "folder_ids": [ "526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93" ], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" } } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy" payload = { "data": { "folder_ids": ["526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93"], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" } } headers = { "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy'; const options = { method: 'POST', headers: { 'api-version': 'experimental', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"data":{"folder_ids":["526ea641-3ad0-4ddc-874d-ec90f2ff5640","18c54ad5-3b6a-4628-9d87-194043056a93"],"parent_id":"163c9d79-a302-4c4c-a7a1-b0ff70de4a18"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy" payload := strings.NewReader("{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy") .header("api-version", "experimental") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}") .asString(); ``` ```php request('POST', 'https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy', [ 'body' => '{ "data": { "folder_ids": [ "526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93" ], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy"); var request = new RestRequest(Method.POST); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"folder_ids\": [\n \"526ea641-3ad0-4ddc-874d-ec90f2ff5640\",\n \"18c54ad5-3b6a-4628-9d87-194043056a93\"\n ],\n \"parent_id\": \"163c9d79-a302-4c4c-a7a1-b0ff70de4a18\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "folder_ids": ["526ea641-3ad0-4ddc-874d-ec90f2ff5640", "18c54ad5-3b6a-4628-9d87-194043056a93"], "parent_id": "163c9d79-a302-4c4c-a7a1-b0ff70de4a18" ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/e9f19cd4-8f09-43d2-a4fb-9dbc4db806bd/folders/copy")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```